fof(1,axiom,(
    ! [X1,X2,X3,X4] :
      ( ! [X5] : s(X2,i(s(fun(X1,X2),X3),s(X1,X5))) = s(X2,i(s(fun(X1,X2),X4),s(X1,X5)))
     => s(fun(X1,X2),X3) = s(fun(X1,X2),X4) ) ),
    file('aoneu_Axiom.p',aEQu_EXT)).

fof(2,axiom,(
    ! [X6] : s(n10,X6) = s(n10,one) ),
    file('aoneu_Axiom.p',aone)).

fof(3,axiom,(
    ! [X1,X7] :
    ? [X8] : s(X1,i(s(fun(n10,X1),X8),s(n10,one))) = s(X1,X7) ),
    file('aoneu_Axiom.p',aoneu_RECURSION)).

fof(4,conjecture,(
    ! [X1,X7] :
      ( ? [X8] : s(X1,i(s(fun(n10,X1),X8),s(n10,one))) = s(X1,X7)
      & ! [X8,X9] :
          ( ( s(X1,i(s(fun(n10,X1),X8),s(n10,one))) = s(X1,X7)
            & s(X1,i(s(fun(n10,X1),X9),s(n10,one))) = s(X1,X7) )
         => s(fun(n10,X1),X8) = s(fun(n10,X1),X9) ) ) ),
    file('aoneu_Axiom.p',aoneu_Axiom)).

fof(5,negated_conjecture,(
    ~ ! [X1,X7] :
        ( ? [X8] : s(X1,i(s(fun(n10,X1),X8),s(n10,one))) = s(X1,X7)
        & ! [X8,X9] :
            ( ( s(X1,i(s(fun(n10,X1),X8),s(n10,one))) = s(X1,X7)
              & s(X1,i(s(fun(n10,X1),X9),s(n10,one))) = s(X1,X7) )
           => s(fun(n10,X1),X8) = s(fun(n10,X1),X9) ) ) ),
    inference(assume_negation,[status(cth)],[4])).

fof(6,plain,(
    ! [X1,X2,X3,X4] :
      ( ? [X5] : s(X2,i(s(fun(X1,X2),X3),s(X1,X5))) != s(X2,i(s(fun(X1,X2),X4),s(X1,X5)))
      | s(fun(X1,X2),X3) = s(fun(X1,X2),X4) ) ),
    inference(fof_nnf,[status(thm)],[1])).

fof(7,plain,(
    ! [X6,X7,X8,X9] :
      ( ? [X10] : s(X7,i(s(fun(X6,X7),X8),s(X6,X10))) != s(X7,i(s(fun(X6,X7),X9),s(X6,X10)))
      | s(fun(X6,X7),X8) = s(fun(X6,X7),X9) ) ),
    inference(variable_rename,[status(thm)],[6])).

fof(8,plain,(
    ! [X6,X7,X8,X9] :
      ( s(X7,i(s(fun(X6,X7),X8),s(X6,esk1_4(X6,X7,X8,X9)))) != s(X7,i(s(fun(X6,X7),X9),s(X6,esk1_4(X6,X7,X8,X9))))
      | s(fun(X6,X7),X8) = s(fun(X6,X7),X9) ) ),
    inference(skolemize,[status(esa)],[7])).

cnf(9,plain,
    ( s(fun(X1,X2),X3) = s(fun(X1,X2),X4)
    | s(X2,i(s(fun(X1,X2),X3),s(X1,esk1_4(X1,X2,X3,X4)))) != s(X2,i(s(fun(X1,X2),X4),s(X1,esk1_4(X1,X2,X3,X4)))) ),
    inference(split_conjunct,[status(thm)],[8])).

fof(10,plain,(
    ! [X7] : s(n10,X7) = s(n10,one) ),
    inference(variable_rename,[status(thm)],[2])).

cnf(11,plain,
    ( s(n10,X1) = s(n10,one) ),
    inference(split_conjunct,[status(thm)],[10])).

fof(12,plain,(
    ! [X9,X10] :
    ? [X11] : s(X9,i(s(fun(n10,X9),X11),s(n10,one))) = s(X9,X10) ),
    inference(variable_rename,[status(thm)],[3])).

fof(13,plain,(
    ! [X9,X10] : s(X9,i(s(fun(n10,X9),esk2_2(X9,X10)),s(n10,one))) = s(X9,X10) ),
    inference(skolemize,[status(esa)],[12])).

cnf(14,plain,
    ( s(X1,i(s(fun(n10,X1),esk2_2(X1,X2)),s(n10,one))) = s(X1,X2) ),
    inference(split_conjunct,[status(thm)],[13])).

fof(15,negated_conjecture,(
    ? [X1,X7] :
      ( ! [X8] : s(X1,i(s(fun(n10,X1),X8),s(n10,one))) != s(X1,X7)
      | ? [X8,X9] :
          ( s(X1,i(s(fun(n10,X1),X8),s(n10,one))) = s(X1,X7)
          & s(X1,i(s(fun(n10,X1),X9),s(n10,one))) = s(X1,X7)
          & s(fun(n10,X1),X8) != s(fun(n10,X1),X9) ) ) ),
    inference(fof_nnf,[status(thm)],[5])).

fof(16,negated_conjecture,
    ( ? [X1,X7] :
      ! [X8] : s(X1,i(s(fun(n10,X1),X8),s(n10,one))) != s(X1,X7)
    | ? [X1,X7,X8,X9] :
        ( s(X1,i(s(fun(n10,X1),X8),s(n10,one))) = s(X1,X7)
        & s(X1,i(s(fun(n10,X1),X9),s(n10,one))) = s(X1,X7)
        & s(fun(n10,X1),X8) != s(fun(n10,X1),X9) ) ),
    inference(shift_quantors,[status(thm)],[15])).

fof(17,negated_conjecture,
    ( ? [X10,X11] :
      ! [X12] : s(X10,i(s(fun(n10,X10),X12),s(n10,one))) != s(X10,X11)
    | ? [X13,X14,X15,X16] :
        ( s(X13,i(s(fun(n10,X13),X15),s(n10,one))) = s(X13,X14)
        & s(X13,i(s(fun(n10,X13),X16),s(n10,one))) = s(X13,X14)
        & s(fun(n10,X13),X15) != s(fun(n10,X13),X16) ) ),
    inference(variable_rename,[status(thm)],[16])).

fof(18,negated_conjecture,
    ( ! [X12] : s(esk3_0,i(s(fun(n10,esk3_0),X12),s(n10,one))) != s(esk3_0,esk4_0)
    | ( s(esk5_0,i(s(fun(n10,esk5_0),esk7_0),s(n10,one))) = s(esk5_0,esk6_0)
      & s(esk5_0,i(s(fun(n10,esk5_0),esk8_0),s(n10,one))) = s(esk5_0,esk6_0)
      & s(fun(n10,esk5_0),esk7_0) != s(fun(n10,esk5_0),esk8_0) ) ),
    inference(skolemize,[status(esa)],[17])).

fof(19,negated_conjecture,(
    ! [X12] :
      ( s(esk3_0,i(s(fun(n10,esk3_0),X12),s(n10,one))) != s(esk3_0,esk4_0)
      | ( s(esk5_0,i(s(fun(n10,esk5_0),esk7_0),s(n10,one))) = s(esk5_0,esk6_0)
        & s(esk5_0,i(s(fun(n10,esk5_0),esk8_0),s(n10,one))) = s(esk5_0,esk6_0)
        & s(fun(n10,esk5_0),esk7_0) != s(fun(n10,esk5_0),esk8_0) ) ) ),
    inference(shift_quantors,[status(thm)],[18])).

fof(20,negated_conjecture,(
    ! [X12] :
      ( ( s(esk5_0,i(s(fun(n10,esk5_0),esk7_0),s(n10,one))) = s(esk5_0,esk6_0)
        | s(esk3_0,i(s(fun(n10,esk3_0),X12),s(n10,one))) != s(esk3_0,esk4_0) )
      & ( s(esk5_0,i(s(fun(n10,esk5_0),esk8_0),s(n10,one))) = s(esk5_0,esk6_0)
        | s(esk3_0,i(s(fun(n10,esk3_0),X12),s(n10,one))) != s(esk3_0,esk4_0) )
      & ( s(fun(n10,esk5_0),esk7_0) != s(fun(n10,esk5_0),esk8_0)
        | s(esk3_0,i(s(fun(n10,esk3_0),X12),s(n10,one))) != s(esk3_0,esk4_0) ) ) ),
    inference(distribute,[status(thm)],[19])).

cnf(21,negated_conjecture,
    ( s(esk3_0,i(s(fun(n10,esk3_0),X1),s(n10,one))) != s(esk3_0,esk4_0)
    | s(fun(n10,esk5_0),esk7_0) != s(fun(n10,esk5_0),esk8_0) ),
    inference(split_conjunct,[status(thm)],[20])).

cnf(22,negated_conjecture,
    ( s(esk5_0,i(s(fun(n10,esk5_0),esk8_0),s(n10,one))) = s(esk5_0,esk6_0)
    | s(esk3_0,i(s(fun(n10,esk3_0),X1),s(n10,one))) != s(esk3_0,esk4_0) ),
    inference(split_conjunct,[status(thm)],[20])).

cnf(23,negated_conjecture,
    ( s(esk5_0,i(s(fun(n10,esk5_0),esk7_0),s(n10,one))) = s(esk5_0,esk6_0)
    | s(esk3_0,i(s(fun(n10,esk3_0),X1),s(n10,one))) != s(esk3_0,esk4_0) ),
    inference(split_conjunct,[status(thm)],[20])).

cnf(26,plain,
    ( s(n10,X2) = s(n10,X1) ),
    inference(spm,[status(thm)],[11,11,theory(equality)])).

cnf(29,negated_conjecture,
    ( s(esk5_0,esk6_0) = s(esk5_0,i(s(fun(n10,esk5_0),esk7_0),s(n10,one)))
    | s(esk3_0,X1) != s(esk3_0,esk4_0) ),
    inference(spm,[status(thm)],[23,14,theory(equality)])).

cnf(48,plain,
    ( s(fun(n10,X1),X2) = s(fun(n10,X1),X3)
    | s(X1,i(s(fun(n10,X1),X2),s(n10,X4))) != s(X1,i(s(fun(n10,X1),X3),s(n10,X4))) ),
    inference(spm,[status(thm)],[9,26,theory(equality)])).

cnf(52,plain,
    ( s(X1,i(s(fun(n10,X1),esk2_2(X1,X2)),s(n10,X3))) = s(X1,X2) ),
    inference(spm,[status(thm)],[14,26,theory(equality)])).

cnf(70,negated_conjecture,
    ( s(esk5_0,esk6_0) = s(esk5_0,i(s(fun(n10,esk5_0),esk7_0),s(n10,one))) ),
    inference(er,[status(thm)],[29,theory(equality)])).

cnf(73,negated_conjecture,
    ( s(esk5_0,i(s(fun(n10,esk5_0),esk8_0),s(n10,one))) = s(esk5_0,i(s(fun(n10,esk5_0),esk7_0),s(n10,one)))
    | s(esk3_0,i(s(fun(n10,esk3_0),X1),s(n10,one))) != s(esk3_0,esk4_0) ),
    inference(rw,[status(thm)],[22,70,theory(equality)])).

cnf(77,negated_conjecture,
    ( s(esk5_0,i(s(fun(n10,esk5_0),esk8_0),s(n10,one))) = s(esk5_0,i(s(fun(n10,esk5_0),esk7_0),s(n10,one)))
    | s(esk3_0,X1) != s(esk3_0,esk4_0) ),
    inference(spm,[status(thm)],[73,14,theory(equality)])).

cnf(116,negated_conjecture,
    ( s(esk5_0,i(s(fun(n10,esk5_0),esk8_0),s(n10,one))) = s(esk5_0,i(s(fun(n10,esk5_0),esk7_0),s(n10,one))) ),
    inference(er,[status(thm)],[77,theory(equality)])).

cnf(118,negated_conjecture,
    ( s(esk5_0,i(s(fun(n10,esk5_0),esk8_0),s(n10,X1))) = s(esk5_0,i(s(fun(n10,esk5_0),esk7_0),s(n10,X1))) ),
    inference(spm,[status(thm)],[116,26,theory(equality)])).

cnf(338,negated_conjecture,
    ( s(fun(n10,esk5_0),esk8_0) = s(fun(n10,esk5_0),X1)
    | s(esk5_0,i(s(fun(n10,esk5_0),esk7_0),s(n10,X2))) != s(esk5_0,i(s(fun(n10,esk5_0),X1),s(n10,X2))) ),
    inference(spm,[status(thm)],[48,118,theory(equality)])).

cnf(486,negated_conjecture,
    ( s(fun(n10,esk5_0),esk8_0) = s(fun(n10,esk5_0),esk7_0) ),
    inference(er,[status(thm)],[338,theory(equality)])).

cnf(505,negated_conjecture,
    ( s(esk3_0,i(s(fun(n10,esk3_0),X1),s(n10,one))) != s(esk3_0,esk4_0)
    | $false ),
    inference(rw,[status(thm)],[21,486,theory(equality)])).

cnf(506,negated_conjecture,
    ( s(esk3_0,i(s(fun(n10,esk3_0),X1),s(n10,one))) != s(esk3_0,esk4_0) ),
    inference(cn,[status(thm)],[505,theory(equality)])).

cnf(510,negated_conjecture,
    ( s(esk3_0,X1) != s(esk3_0,esk4_0) ),
    inference(spm,[status(thm)],[506,52,theory(equality)])).

cnf(511,negated_conjecture,
    ( $false ),
    inference(er,[status(thm)],[510,theory(equality)])).

cnf(513,negated_conjecture,
    ( $false ),
    511,
    [proof]).
